import java.io.*;
import Numeric;
import complex;

class f1 extends fi_xi
{
  double[] func(double[] x)
  {
  double b[];
  b=new double[6];
  b[0]=2.5*Math.pow(10,(1.0/5.0*x[0]/x[1]+4.5/5.0))*x[2]-x[1];
  b[1]=x[1]+x[0]-1.0;
  b[2]=x[2]+0.5*x[0]-0.4;
  b[3]=x[0]-Math.abs(x[3]);
  b[4]=x[1]-Math.abs(x[4]);
  b[5]=x[2]-Math.abs(x[5]);
  return b;
  }
}



class Matrix10
{
    public static void main(String args[]) throws IOException
    {
    //Solution of zero of functions of one or multivariable equations
    f1 b1;
    b1=new f1();
    double x[];
    x=new double[6];
    x[0]=1;
    x[1]=0.1;
    x[2]=0.5;
    x[3]=0.565;
    x[4]=0.9589;
    x[5]=0.745;
    System.out.println("");
    System.out.println(" cozum degerleri");
    x=Numeric.newton(x,b1);
    System.out.println(" "+Matrix.toStringT(x));
    System.out.println(" fonksiyon degerleri :  ");
    System.out.println(Matrix.toStringT(b1.func(x)));
    }
}
